Merge pep8 from Debian unstable for kinetic

Bug #1971309 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pep8 (Ubuntu)
New
Undecided
Unassigned

Bug Description

Upstream: tbd
Debian: 1.7.1-9
Ubuntu: 1.7.1-9ubuntu1

### New Debian Changes ###

pep8 (1.7.1-9) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937271
  * Drop transitional pep8 package; Closes: #940736

 -- Sandro Tosi <email address hidden> Fri, 24 Jan 2020 23:26:56 -0500

pep8 (1.7.1-8) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Use python2 instead of python on autopkgtest (Closes: #947053)

 -- Andrej Shadura <email address hidden> Sun, 29 Dec 2019 10:59:38 +0100

pep8 (1.7.1-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Name.
  * Fix day-of-week for changelog entries 1.4.6-1.1, 0.5.0-1.

  [ Andrej Shadura ]
  * Call python2 in autopkgtest, not python (Closes: #945134).

 -- Andrej Shadura <email address hidden> Thu, 19 Dec 2019 15:17:11 +0100

pep8 (1.7.1-6) unstable; urgency=medium

  * No change rebuild.

 -- Andrej Shadura <email address hidden> Sun, 27 Oct 2019 22:52:57 +0100

pep8 (1.7.1-5) unstable; urgency=medium

  * Use pybuild to fix FTBFS (not supported with compat level 12).

 -- Andrej Shadura <email address hidden> Sun, 27 Oct 2019 22:41:39 +0100

pep8 (1.7.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * pep8 inherits Multi-Arch: foreign from pycodestyle (Closes: #932672).

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrej Shadura ]
  * Run wrap-and-sort -bask.
  * Bump debhelper from old 9 to 12.

 -- Andrej Shadura <email address hidden> Thu, 26 Sep 2019 14:26:48 +0200

pep8 (1.7.1-3) unstable; urgency=medium

  * Team upload.
  * autopkgtest: allow stderr in the smoke tests since pep8 is not printing
    a deprecation warning to move to pycodestyle.

 -- Mattia Rizzolo <email address hidden> Thu, 20 Dec 2018 23:07:43 +0100

pep8 (1.7.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * Convert git repository from git-dpm to gbp layout.

  [ Chris Lamb ]
  * Respect nocheck in DEB_BUILD_OPTIONS.

  [ Mattia Rizzolo ]
  * Add patch to be fully compatible with Python 3.7. Closes: #908700

 -- Mattia Rizzolo <email address hidden> Thu, 20 Dec 2018 14:28:23 +0100

pep8 (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 4.1.1
  * Silent a test failure wrt the pycodestyle transition

 -- Sylvestre Ledru <email address hidden> Mon, 30 Oct 2017 09:20:55 +0100

pep8 (1.7.0-4) unstable; urgency=medium

  * Team upload.
  * d/source/format: Changed to 3.0 (quilt)
  * Added dh-python to build depends

 -- Ondřej Nový <email address hidden> Tue, 23 Aug 2016 18:27:07 +0200

pep8 (1.7.0-3) unstable; urgency=medium

  * Team upload.
  * Fixed homepage (https)
  * Fixed VCS URL (https)
  * Change directory to $ADTTMP before running Debian tests

### Old Ubuntu Delta ###

pep8 (1.7.1-9ubuntu1) focal; urgency=medium

  * Revert 'Drop transitional pep8 package'

 -- Julian Andres Klode <email address hidden> Wed, 29 Jan 2020 15:19:09 +0100

Bryce Harrington (bryce)
Changed in pep8 (Ubuntu):
milestone: none → later
status: New → Incomplete
Revision history for this message
Bryce Harrington (bryce) wrote :

There is a -10 version now available from Debian, but this has no changes for Ubuntu needing merged, so leaving as Incomplete.

pep8 (1.7.1-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <email address hidden> Wed, 04 May 2022 17:44:53 -0400

Revision history for this message
Bryce Harrington (bryce) wrote :

pep8 1.7.1-10 1.7.1-9ubuntu1

Changed in pep8 (Ubuntu):
status: Incomplete → New
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers